static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] x = Console.ReadLine().Split().Take(n).Select(o => int.Parse(o)).ToArray();
            int[] y = Console.ReadLine().Split().Take(n).Select(o => int.Parse(o)).ToArray();
            int[] z = Console.ReadLine().Split().Take(n).Select(o => int.Parse(o)).ToArray();
            int count=0;
            for (int i = 0; i < n; i++)
            {
                if (y.Contains(x[i]))
                {
                    for (int j = 0; j < n; j++)
                    {
                        if (x[i] == y[j] && z.Contains(j+1))
                        {
                            for (int k = 0; k < n; k++)
                            {

                                if (j + 1 == z[k])
                                {
                                    count++;
                                }
                            }
                        }
                    }
                }
            }
            Console.WriteLine(count);

        }